Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.netuix.application.definition
Enum TemplateTypeDefinition.TemplateType

    java.lang.Object
      java.lang.Enum<TemplateTypeDefinition.TemplateType>
          com.bea.netuix.application.definition.TemplateTypeDefinition.TemplateType

All Implemented Interfaces
  Serializable, Comparable<TemplateTypeDefinition.TemplateType>

Enclosing class:
  TemplateTypeDefinition

    public static enum TemplateTypeDefinition.TemplateType

extends Enum<TemplateTypeDefinition.TemplateType>

Enum Constant Summary
`COMMUNITY` Represents a `community` template.
`DESKTOP` Represents a `desktop` template.

Method Summary
`static TemplateTypeDefinition.TemplateType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TemplateTypeDefinition.TemplateType[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DESKTOP

    public static final TemplateTypeDefinition.TemplateType DESKTOP

  Represents a `desktop` template.

### COMMUNITY

    public static final TemplateTypeDefinition.TemplateType COMMUNITY

  Represents a `community` template.

Method Detail

### values

    public static final TemplateTypeDefinition.TemplateType[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static TemplateTypeDefinition.TemplateType valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.